/*
 * Performance Metrics Name Space Map
 * Built by pmgenmap.sh from the file
 * systmetrics.map
 * on Sat Jan 15 17:20:46 CST 2022
 *
 * Do not edit this file!
 */

/*
 *
 * metric names and access macros for photosyst.[ch]
 *
 */

const char *systmetrics[] = {
/* /proc/loadavg */
#define CPU_LOAD	0
	"kernel.all.load",

/* /proc/stat */
#define CPU_CSW	1
	"kernel.all.pswitch",
#define CPU_DEVINT	2
	"kernel.all.intr",
#define CPU_NPROCS	3
	"kernel.all.sysfork",
#define CPU_UTIME	4
	"kernel.all.cpu.user",
#define CPU_NTIME	5
	"kernel.all.cpu.nice",
#define CPU_STIME	6
	"kernel.all.cpu.sys",
#define CPU_ITIME	7
	"kernel.all.cpu.idle",
#define CPU_WTIME	8
	"kernel.all.cpu.wait.total",
#define CPU_HARDIRQ	9
	"kernel.all.cpu.irq.hard",
#define CPU_SOFTIRQ	10
	"kernel.all.cpu.irq.soft",
#define CPU_STEAL	11
	"kernel.all.cpu.steal",
#define CPU_GUEST	12
	"kernel.all.cpu.guest",
#define PERCPU_STIME	13
	"kernel.percpu.cpu.sys",
#define PERCPU_UTIME	14
	"kernel.percpu.cpu.user",
#define PERCPU_NTIME	15
	"kernel.percpu.cpu.nice",
#define PERCPU_ITIME	16
	"kernel.percpu.cpu.idle",
#define PERCPU_WTIME	17
	"kernel.percpu.cpu.wait.total",
#define PERCPU_HARDIRQ	18
	"kernel.percpu.cpu.irq.hard",
#define PERCPU_SOFTIRQ	19
	"kernel.percpu.cpu.irq.soft",
#define PERCPU_STEAL	20
	"kernel.percpu.cpu.steal",
#define PERCPU_GUEST	21
	"kernel.percpu.cpu.guest",

#define PERCPU_FREQCNT_CNT	22
	"hinv.cpu.clock",

/* /proc/vmstat */
#define MEM_SWINS	23
	"swap.pagesin",
#define MEM_SWOUTS	24
	"swap.pagesout",
#define MEM_SCAN_DDMA	25
	"mem.vmstat.pgscan_direct_dma",
#define MEM_SCAN_DDMA32	26
	"mem.vmstat.pgscan_direct_dma32",
#define MEM_SCAN_DHIGH	27
	"mem.vmstat.pgscan_direct_high",
#define MEM_SCAN_DMOVABLE	28
	"mem.vmstat.pgscan_direct_movable",
#define MEM_SCAN_DNORMAL	29
	"mem.vmstat.pgscan_direct_normal",
#define MEM_SCAN_KDMA	30
	"mem.vmstat.pgscan_kswapd_dma",
#define MEM_SCAN_KDMA32	31
	"mem.vmstat.pgscan_kswapd_dma32",
#define MEM_SCAN_KHIGH	32
	"mem.vmstat.pgscan_kswapd_high",
#define MEM_SCAN_KMOVABLE	33
	"mem.vmstat.pgscan_kswapd_movable",
#define MEM_SCAN_KNORMAL	34
	"mem.vmstat.pgscan_kswapd_normal",
#define MEM_STEAL_DMA	35
	"mem.vmstat.pgsteal_dma",
#define MEM_STEAL_DMA32	36
	"mem.vmstat.pgsteal_dma32",
#define MEM_STEAL_HIGH	37
	"mem.vmstat.pgsteal_high",
#define MEM_STEAL_MOVABLE	38
	"mem.vmstat.pgsteal_movable",
#define MEM_STEAL_NORMAL	39
	"mem.vmstat.pgsteal_normal",
#define MEM_ALLOCSTALL	40
	"mem.vmstat.allocstall",
#define MEM_OOM_KILL	41
	"mem.vmstat.oom_kill",

/* /proc/meminfo */
#define MEM_SWAPCACHED	42
	"mem.util.swapCached",
#define MEM_CACHEMEM	43
	"mem.util.cached",
#define MEM_CACHEDRT	44
	"mem.util.dirty",
#define MEM_PHYSMEM	45
	"mem.physmem",
#define MEM_FREEMEM	46
	"mem.freemem",
#define MEM_BUFFERMEM	47
	"mem.util.bufmem",
#define MEM_SHMEM	48
	"mem.util.shmem",
#define MEM_TOTSWAP	49
	"swap.length",
#define MEM_FREESWAP	50
	"swap.free",
#define MEM_SLABMEM	51
	"mem.util.slab",
#define MEM_SLABRECLAIM	52
	"mem.util.slabReclaimable",
#define MEM_COMMITTED	53
	"mem.util.committed_AS",
#define MEM_COMMITLIM	54
	"mem.util.commitLimit",
#define MEM_TOTHUGEPAGE	55
	"mem.util.hugepagesTotal",
#define MEM_FREEHUGEPAGE	56
	"mem.util.hugepagesFree",
#define HUGEPAGESZ	57
	"hinv.hugepagesize",

/* /sys/kernel/mm/ksm */
#define MEM_KSMSHARED	58
	"mem.ksm.pages_shared",
#define MEM_KSMSHARING	59
	"mem.ksm.pages_sharing",

/* shmctl(2) */
#define MEM_SHMRSS	60
	"ipc.shm.rss",
#define MEM_SHMSWP	61
	"ipc.shm.swp",

/* /proc/net/dev */
#define PERINTF_RBYTE	62
	"network.interface.in.bytes",
#define PERINTF_RPACK	63
	"network.interface.in.packets",
#define PERINTF_RERRS	64
	"network.interface.in.errors",
#define PERINTF_RDROP	65
	"network.interface.in.drops",
#define PERINTF_RFIFO	66
	"network.interface.in.fifo",
#define PERINTF_RFRAME	67
	"network.interface.in.frame",
#define PERINTF_RCOMPR	68
	"network.interface.in.compressed",
#define PERINTF_RMULTIC	69
	"network.interface.in.mcasts",
#define PERINTF_SBYTE	70
	"network.interface.out.bytes",
#define PERINTF_SPACK	71
	"network.interface.out.packets",
#define PERINTF_SERRS	72
	"network.interface.out.errors",
#define PERINTF_SDROP	73
	"network.interface.out.drops",
#define PERINTF_SFIFO	74
	"network.interface.out.fifo",
#define PERINTF_SCOLLIS	75
	"network.interface.collisions",
#define PERINTF_SCARRIER	76
	"network.interface.out.carrier",
#define PERINTF_SCOMPR	77
	"network.interface.out.compressed",

/* /proc/net/snmp */
#define IPV4_Forwarding	78
	"network.ip.forwarding",
#define IPV4_DefaultTTL	79
	"network.ip.defaultttl",
#define IPV4_InReceives	80
	"network.ip.inreceives",
#define IPV4_InHdrErrors	81
	"network.ip.inhdrerrors",
#define IPV4_InAddrErrors	82
	"network.ip.inaddrerrors",
#define IPV4_ForwDatagrams	83
	"network.ip.forwdatagrams",
#define IPV4_InUnknownProtos	84
	"network.ip.inunknownprotos",
#define IPV4_InDiscards	85
	"network.ip.indiscards",
#define IPV4_InDelivers	86
	"network.ip.indelivers",
#define IPV4_OutRequests	87
	"network.ip.outrequests",
#define IPV4_OutDiscards	88
	"network.ip.outdiscards",
#define IPV4_OutNoRoutes	89
	"network.ip.outnoroutes",
#define IPV4_ReasmTimeout	90
	"network.ip.reasmtimeout",
#define IPV4_ReasmReqds	91
	"network.ip.reasmreqds",
#define IPV4_ReasmOKs	92
	"network.ip.reasmoks",
#define IPV4_ReasmFails	93
	"network.ip.reasmfails",
#define IPV4_FragOKs	94
	"network.ip.fragoks",
#define IPV4_FragFails	95
	"network.ip.fragfails",
#define IPV4_FragCreates	96
	"network.ip.fragcreates",
#define ICMP4_InMsgs	97
	"network.icmp.inmsgs",
#define ICMP4_InErrors	98
	"network.icmp.inerrors",
#define ICMP4_InDestUnreachs	99
	"network.icmp.indestunreachs",
#define ICMP4_InTimeExcds	100
	"network.icmp.intimeexcds",
#define ICMP4_InParmProbs	101
	"network.icmp.inparmprobs",
#define ICMP4_InSrcQuenchs	102
	"network.icmp.insrcquenchs",
#define ICMP4_InRedirects	103
	"network.icmp.inredirects",
#define ICMP4_InEchos	104
	"network.icmp.inechos",
#define ICMP4_InEchoReps	105
	"network.icmp.inechoreps",
#define ICMP4_InTimestamps	106
	"network.icmp.intimestamps",
#define ICMP4_InTimestampReps	107
	"network.icmp.intimestampreps",
#define ICMP4_InAddrMasks	108
	"network.icmp.inaddrmasks",
#define ICMP4_InAddrMaskReps	109
	"network.icmp.inaddrmaskreps",
#define ICMP4_OutMsgs	110
	"network.icmp.outmsgs",
#define ICMP4_OutErrors	111
	"network.icmp.outerrors",
#define ICMP4_OutDestUnreachs	112
	"network.icmp.outdestunreachs",
#define ICMP4_OutTimeExcds	113
	"network.icmp.outtimeexcds",
#define ICMP4_OutParmProbs	114
	"network.icmp.outparmprobs",
#define ICMP4_OutSrcQuenchs	115
	"network.icmp.outsrcquenchs",
#define ICMP4_OutRedirects	116
	"network.icmp.outredirects",
#define ICMP4_OutEchos	117
	"network.icmp.outechos",
#define ICMP4_OutEchoReps	118
	"network.icmp.outechoreps",
#define ICMP4_OutTimestamps	119
	"network.icmp.outtimestamps",
#define ICMP4_OutTimestampReps	120
	"network.icmp.outtimestampreps",
#define ICMP4_OutAddrMasks	121
	"network.icmp.outaddrmasks",
#define ICMP4_OutAddrMaskReps	122
	"network.icmp.outaddrmaskreps",
#define TCP_RtoAlgorithm	123
	"network.tcp.rtoalgorithm",
#define TCP_RtoMin	124
	"network.tcp.rtomin",
#define TCP_RtoMax	125
	"network.tcp.rtomax",
#define TCP_MaxConn	126
	"network.tcp.maxconn",
#define TCP_ActiveOpens	127
	"network.tcp.activeopens",
#define TCP_PassiveOpens	128
	"network.tcp.passiveopens",
#define TCP_AttemptFails	129
	"network.tcp.attemptfails",
#define TCP_EstabResets	130
	"network.tcp.estabresets",
#define TCP_CurrEstab	131
	"network.tcp.currestab",
#define TCP_InSegs	132
	"network.tcp.insegs",
#define TCP_OutSegs	133
	"network.tcp.outsegs",
#define TCP_RetransSegs	134
	"network.tcp.retranssegs",
#define TCP_InErrs	135
	"network.tcp.inerrs",
#define TCP_OutRsts	136
	"network.tcp.outrsts",
#define UDPV4_InDatagrams	137
	"network.udp.indatagrams",
#define UDPV4_NoPorts	138
	"network.udp.noports",
#define UDPV4_InErrors	139
	"network.udp.inerrors",
#define UDPV4_OutDatagrams	140
	"network.udp.outdatagrams",

/* /proc/net/snmp6 */
#define IPV6_InReceives	141
	"network.ip6.inreceives",
#define IPV6_InHdrErrors	142
	"network.ip6.inhdrerrors",
#define IPV6_InTooBigErrors	143
	"network.ip6.intoobigerrors",
#define IPV6_InNoRoutes	144
	"network.ip6.innoroutes",
#define IPV6_InAddrErrors	145
	"network.ip6.inaddrerrors",
#define IPV6_InUnknownProtos	146
	"network.ip6.inunknownprotos",
#define IPV6_InTruncatedPkts	147
	"network.ip6.intruncatedpkts",
#define IPV6_InDiscards	148
	"network.ip6.indiscards",
#define IPV6_InDelivers	149
	"network.ip6.indelivers",
#define IPV6_OutForwDatagrams	150
	"network.ip6.outforwdatagrams",
#define IPV6_OutRequests	151
	"network.ip6.outrequests",
#define IPV6_OutDiscards	152
	"network.ip6.outdiscards",
#define IPV6_OutNoRoutes	153
	"network.ip6.outnoroutes",
#define IPV6_ReasmTimeout	154
	"network.ip6.reasmtimeout",
#define IPV6_ReasmReqds	155
	"network.ip6.reasmreqds",
#define IPV6_ReasmOKs	156
	"network.ip6.reasmoks",
#define IPV6_ReasmFails	157
	"network.ip6.reasmfails",
#define IPV6_FragOKs	158
	"network.ip6.fragoks",
#define IPV6_FragFails	159
	"network.ip6.fragfails",
#define IPV6_FragCreates	160
	"network.ip6.fragcreates",
#define IPV6_InMcastPkts	161
	"network.ip6.inmcastpkts",
#define IPV6_OutMcastPkts	162
	"network.ip6.outmcastpkts",
#define ICMPV6_InMsgs	163
	"network.icmp6.inmsgs",
#define ICMPV6_InErrors	164
	"network.icmp6.inerrors",
#define ICMPV6_InDestUnreachs	165
	"network.icmp6.indestunreachs",
#define ICMPV6_InPktTooBigs	166
	"network.icmp6.inpkttoobigs",
#define ICMPV6_InTimeExcds	167
	"network.icmp6.intimeexcds",
#define ICMPV6_InParmProblems	168
	"network.icmp6.inparmproblems",
#define ICMPV6_InEchos	169
	"network.icmp6.inechos",
#define ICMPV6_InEchoReplies	170
	"network.icmp6.inechoreplies",
#define ICMPV6_InGroupMembQueries	171
	"network.icmp6.ingroupmembqueries",
#define ICMPV6_InGroupMembResponses	172
	"network.icmp6.ingroupmembresponses",
#define ICMPV6_InGroupMembReductions	173
	"network.icmp6.ingroupmembreductions",
#define ICMPV6_InRouterSolicits	174
	"network.icmp6.inroutersolicits",
#define ICMPV6_InRouterAdvertisements	175
	"network.icmp6.inrouteradvertisements",
#define ICMPV6_InNeighborSolicits	176
	"network.icmp6.inneighborsolicits",
#define ICMPV6_InNeighborAdvertisements	177
	"network.icmp6.inneighboradvertisements",
#define ICMPV6_InRedirects	178
	"network.icmp6.inredirects",
#define ICMPV6_OutMsgs	179
	"network.icmp6.outmsgs",
#define ICMPV6_OutDestUnreachs	180
	"network.icmp6.outdestunreachs",
#define ICMPV6_OutPktTooBigs	181
	"network.icmp6.outpkttoobigs",
#define ICMPV6_OutTimeExcds	182
	"network.icmp6.outtimeexcds",
#define ICMPV6_OutParmProblems	183
	"network.icmp6.outparmproblems",
#define ICMPV6_OutEchoReplies	184
	"network.icmp6.outechoreplies",
#define ICMPV6_OutRouterSolicits	185
	"network.icmp6.outroutersolicits",
#define ICMPV6_OutNeighborSolicits	186
	"network.icmp6.outneighborsolicits",
#define ICMPV6_OutNeighborAdvertisements	187
	"network.icmp6.outneighboradvertisements",
#define ICMPV6_OutRedirects	188
	"network.icmp6.outredirects",
#define ICMPV6_OutGroupMembResponses	189
	"network.icmp6.outgroupmembresponses",
#define ICMPV6_OutGroupMembReductions	190
	"network.icmp6.outgroupmembreductions",
#define UDPV6_InDatagrams	191
	"network.udp6.indatagrams",
#define UDPV6_NoPorts	192
	"network.udp6.noports",
#define UDPV6_InErrors	193
	"network.udp6.inerrors",
#define UDPV6_OutDatagrams	194
	"network.udp6.outdatagrams",

/* /proc/diskstats or /proc/partitions */
#define PERDISK_NREAD	195
	"disk.dev.read",
#define PERDISK_NRSECT	196
	"disk.dev.blkread",
#define PERDISK_NWRITE	197
	"disk.dev.write",
#define PERDISK_NWSECT	198
	"disk.dev.blkwrite",
#define PERDISK_IO_MS	199
	"disk.dev.avactive",
#define PERDISK_AVEQ	200
	"disk.dev.aveq",
#define PERDM_NREAD	201
	"disk.dm.read",
#define PERDM_NRSECT	202
	"disk.dm.blkread",
#define PERDM_NWRITE	203
	"disk.dm.write",
#define PERDM_NWSECT	204
	"disk.dm.blkwrite",
#define PERMD_NREAD	205
	"disk.md.read",
#define PERMD_NRSECT	206
	"disk.md.blkread",
#define PERMD_NWRITE	207
	"disk.md.write",
#define PERMD_NWSECT	208
	"disk.md.blkwrite",

/* /proc/net/rpc/nfsd */
#define NFS_RCHITS	209
	"rpc.server.rchits",
#define NFS_RCMISS	210
	"rpc.server.rcmisses",
#define NFS_RCNOCACHE	211
	"rpc.server.rcnocache",
#define NFS_IORD	212
	"rpc.server.io_read",
#define NFS_IOWR	213
	"rpc.server.io_write",
#define NFS_NETCNT	214
	"rpc.server.netcnt",
#define NFS_UDP	215
	"rpc.server.netudpcnt",
#define NFS_TCP	216
	"rpc.server.nettcpcnt",
#define NFS_TCPCONN	217
	"rpc.server.nettcpconn",
#define NFS_RPCCNT	218
	"rpc.server.rpccnt",
#define NFS_RPCBADFMT	219
	"rpc.server.rpcbadfmt",
#define NFS_RPCBADAUTH	220
	"rpc.server.rpcbadauth",
#define NFS_RPCBADCLNT	221
	"rpc.server.rpcbadclnt",
#define NFS_REQS	222
	"nfs.server.reqs",
#define NFS3_REQS	223
	"nfs3.server.reqs",
#define NFS4_REQS	224
	"nfs4.server.reqs",

/* /proc/net/rpc/nfs */
#define NFC_RPCCNT	225
	"rpc.client.rpccnt",
#define NFC_RETRANS	226
	"rpc.client.rpcretrans",
#define NFC_AUTHREFRESH	227
	"rpc.client.rpcauthrefresh",
#define NFC_REQS	228
	"nfs.client.reqs",
#define NFC3_REQS	229
	"nfs3.client.reqs",
#define NFC4_REQS	230
	"nfs4.client.reqs",

/* /proc/self/mountstats */
#define PERNFS_EXPORT	231
	"nfsclient.export",
#define PERNFS_AGE	232
	"nfsclient.age",
#define PERNFS_RDBYTES	233
	"nfsclient.bytes.read.normal",
#define PERNFS_WRBYTES	234
	"nfsclient.bytes.write.normal",
#define PERNFS_DRDBYTES	235
	"nfsclient.bytes.read.direct",
#define PERNFS_DWRBYTES	236
	"nfsclient.bytes.write.direct",
#define PERNFS_TOTRDBYTES	237
	"nfsclient.bytes.read.server",
#define PERNFS_TOTWRBYTES	238
	"nfsclient.bytes.write.server",
#define PERNFS_RDPAGES	239
	"nfsclient.pages.read",
#define PERNFS_WRPAGES	240
	"nfsclient.pages.write",

/* /proc/pressure/{cpu,memory,io} */
#define PSI_CPUSOME_AVG	241
	"kernel.all.pressure.cpu.some.avg",
#define PSI_CPUSOME_TOTAL	242
	"kernel.all.pressure.cpu.some.total",
#define PSI_MEMSOME_AVG	243
	"kernel.all.pressure.memory.some.avg",
#define PSI_MEMSOME_TOTAL	244
	"kernel.all.pressure.memory.some.total",
#define PSI_MEMFULL_AVG	245
	"kernel.all.pressure.memory.full.avg",
#define PSI_MEMFULL_TOTAL	246
	"kernel.all.pressure.memory.full.total",
#define PSI_IOSOME_AVG	247
	"kernel.all.pressure.io.some.avg",
#define PSI_IOSOME_TOTAL	248
	"kernel.all.pressure.io.some.total",
#define PSI_IOFULL_AVG	249
	"kernel.all.pressure.io.full.avg",
#define PSI_IOFULL_TOTAL	250
	"kernel.all.pressure.io.full.total",

/* /proc/spl/kstat/zfs/arcstats */
#define ZFS_ARCSIZE	251
	"zfs.arc.size",

/* /sys/kernel/debug/zswap */
#define ZSWAP_TOTALSIZE	252
	"zswap.pool_total_size",
#define ZSWAP_STOREDMEM	253
	"zswap.stored_pages",

/* hardware events */
#define PERCPU_PERF_INSTR	254
	"perfevent.hwcounters.INSTRUCTIONS_RETIRED.value",
#define PERCPU_PERF_CYCLE	255
	"perfevent.hwcounters.UNHALTED_REFERENCE_CYCLES.value",

/* Infiniband */
#define PERIFB_PORT_LID	256
	"infiniband.port.lid",
#define PERIFB_PORT_RATE	257
	"infiniband.port.rate",
#define PERIFB_PORT_WIDTH	258
	"infiniband.port.linkwidth",
#define PERIFB_PORT_INB	259
	"infiniband.port.in.bytes",
#define PERIFB_PORT_OUTB	260
	"infiniband.port.out.bytes",
#define PERIFB_PORT_INPKT	261
	"infiniband.port.in.packets",
#define PERIFB_PORT_OUTPKT	262
	"infiniband.port.out.packets",

/* http status */
#define WWW_ACCESSES	263
	"apache.total_accesses",
#define WWW_TOTKBYTES	264
	"apache.total_kbytes",
#define WWW_UPTIME	265
	"apache.uptime",
#define WWW_BWORKERS	266
	"apache.busy_servers",
#define WWW_IWORKERS	267
	"apache.idle_servers",

/* end marker - provides count */
#define SYST_NMETRICS	268
	".",

};

